org.richfaces.ui.iteration.list

## Class ListRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.ui.iteration.list.ListRendererBase

- Direct Known Subclasses:
    ListRenderer

      public abstract class ListRendererBase
      extends javax.faces.render.Renderer

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeListItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ListType listType)`
    `protected String` | `getElementId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected org.richfaces.ui.iteration.list.ListRendererBase.ItemsEncoder` | `getItemsEncoderByType(ListType type)`
    `protected String` | `getListClass(ListType type)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component, ListType listType)`
    `protected ListType` | `getType(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, decode, encodeEnd, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListRendererBase

          public ListRendererBase()

  - ### Method Detail

    - #### getListClass

          protected String getListClass(ListType type)

    - #### getItemsEncoderByType

          protected org.richfaces.ui.iteration.list.ListRendererBase.ItemsEncoder getItemsEncoderByType(ListType type)

    - #### getType

          protected ListType getType(javax.faces.component.UIComponent component)

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component,
                             ListType listType)

    - #### getElementId

          protected String getElementId(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)

    - #### encodeListItems

          protected void encodeListItems(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component,
                             ListType listType)
                                  throws IOException

      Throws:
        `IOException`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Overrides:
        `encodeBegin` in class `javax.faces.render.Renderer`
      Throws:
        `IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws IOException

      Overrides:
        `encodeChildren` in class `javax.faces.render.Renderer`
      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.